{if $smarty.request.logsess}

<table class="light">
<tr>
  <th colspan="2">Propri&eacute;t&eacute;s de la session</th>
</tr>
<tr>
  <td><strong>user</strong></td>
  <td>{$session.username} {if $session.suer}(suid by {$session.suer}){/if} [<a href="?logauth={$session.auth}&amp;loguser={$session.username}">user's log</a>]</td>
</tr>
<tr>
  <td><strong>hote</strong></td>
  <td>{$session.host} / {$session.ip}</td>
</tr>
<tr>
  <td><strong>browser</strong></td>
  <td>{$session.browser}</td>
</tr>
</table>

<br />

<table class="light">
<tr>
  <th>stamp</th>
  <th>action</th>
  <th>data</th>
</tr>
{foreach from=$events item=myevent}
<tr>
  <td class="logdate">{$myevent.stamp|date_format:"%Y-%m-%d %H:%M:%S"}</td>
  <td class="logmain">{$myevent.text}</td>
  <td>{$myevent.data|escape}</td>
</tr>
{/foreach}
</table>


{else}

<form name="filter" method="post" action="{$smarty.server.PHP_SELF}">
<table class="light">
<tr>
  <th colspan="2">filter by..</th>
</tr>
<tr>
  <td>..<strong>date</strong></td>
  <td>
    year
    <select name="year" onChange="this.form.submit()">
      {html_options options=$years selected=$year}
    </select>
    &nbsp;month
    <select name="month" onChange="this.form.submit()">
      {html_options options=$months selected=$month}
    </select>
    &nbsp;day
    <select name="day" onChange="this.form.submit()">
      {html_options options=$days selected=$day}
    </select>
  </td>
</tr>
<tr>
  <td>..<strong>user</strong></td>
  <td>
    <input type="text" name="loguser" value="{$loguser}" />
    {html_options name="logauth" options=$auths selected=$logauth}
    <input type="submit" />
  </td>
</tr>
</table>

</form>

<p/>

<table class="light">
<tr>
  <th>start</th>
  <th>user</th>
  <th>summary</th>
  <th>actions</th>
</tr>
{foreach from=$sessions item=mysess}
<tr class="{$mysess.class}">
  <td class="logdate">{$mysess.start|date_format:"%Y-%m-%d %H:%M:%S"}</td>
  <td class="logmain">{$mysess.username} <span class="auth">({$mysess.lauth})</span></td>
  <td class="logevents">
    {foreach from=$mysess.events item=myevent}{$myevent} {/foreach}
  </td>
  <td>
{foreach from=$mysess.actions item=myaction}
    {a class="action" lnk=$myaction}
{/foreach}
  </td>
</tr>
{/foreach}
</table>

{/if}
